Public Class CResultOD


    ' Public Zones As CZonesOD

    Public E요구량(12) As C에너지요구량OD
    Public E소요량(12) As C에너지소요량OD
    Public 일차E소요량(12) As C1차소요량OD
    Public 생산E(12) As C생산에너지OD
    Public Co2발생량(12) As CCo2발생량OD
    Public E분석(12) As C에너지분석OD  '//여기는 유일하게 0번 인덱스를 쓸수없다

    Public Co2배출계수 As CCo2배출계수OD
    Public E변환계수 As C1차에너지변환계수OD

    Public 사용면적 As C사용면적OD
    Public 최대부하 As C최대냉난방부하OD

    Public Sub New()
        '//공용
        Co2배출계수 = New CCo2배출계수OD
        E변환계수 = New C1차에너지변환계수OD

        '//단일
        사용면적 = New C사용면적OD
        최대부하 = New C최대냉난방부하OD

        '//서브추가항목
        'Zones = New CZonesOD

        '//월별로 들어가는 배열항목
        For i As Integer = 0 To 12
            Me.E요구량(i) = New C에너지요구량OD(i)
            Me.E소요량(i) = New C에너지소요량OD(i)
            Me.일차E소요량(i) = New C1차소요량OD(i)
            Me.생산E(i) = New C생산에너지OD(i)
            Me.Co2발생량(i) = New CCo2발생량OD(i)
            Me.E분석(i) = New C에너지분석OD(i)
        Next

    End Sub

End Class
